import path from "node:path";
import { defineConfig, env } from "@prisma/config";
import { config } from "dotenv";

config({ path: ".env" });
config({ path: ".env.local", override: true });

export default defineConfig({
  schema: path.join("prisma", "schema.prisma"),
  migrations: {
    path: path.join("prisma", "migrations"),
  },
  datasource: {
    url: env("DATABASE_URL"),
  },
});
